# Webhook API - Livecast - beta

기능개발시 필요에 따라 리모트몬스터로부터 특정 정보를 받을 필요가 종종 생깁니다. 리모트몬스터는 이를 Webhook 형태로 제공하고 있습니다. 호출 받고자하는 Webhook 주소는 아래를 참고하여 설정합니다.

{% content-ref url="/pages/-LSroGK9ChQm81zu59TM" %}
[Broken mention](broken://pages/-LSroGK9ChQm81zu59TM)
{% endcontent-ref %}

## &#x20;record done

<mark style="color:green;">`POST`</mark> `https://YOUR_DOMAIN.COM/SLUG/`&#x20;

&#x20;녹화가 완료되면 아래와 같이 JSON 몸체와 함께 POST를 호출 합니다.&#x20;

#### Request Body

| Name      | Type   | Description        |
| --------- | ------ | ------------------ |
| id        | string | 녹화가 진행된 Channel Id |
| url       | string | 녹화된 파일의 URL        |
| duration  | string | 녹화된 시간             |
| filesize  | string | 녹화된 파일의 크기(Byte)   |
| thumbnail | string | 녹화된 파일의 썸네일 URL    |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

자세한 내용은 아래를 확인하세요.

{% content-ref url="/pages/-LRKoeIOesQqWgW9X0PY" %}
[Record - beta](/common/record.md)
{% endcontent-ref %}

## &#x20;channel create, close

<mark style="color:blue;">`GET`</mark> `https://YOUR_DOMAIN.COM/SLUG/`&#x20;

&#x20;방송이 종료되면 아래와 같이 해당하는 값을 Query로 호출합니다.&#x20;

#### Query Parameters

| Name   | Type   | Description       |
| ------ | ------ | ----------------- |
| action | string | close \|\| create |
| chid   | string | Channel Id        |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.remotemonster.com/api/webhook-livecast.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
